# Backup to Server

## Purpose

Pre-configured script that will upload backup data from Bethany's laptop to the server.

## Use

1. Make sure you have RSA keys configured in $HOME/.ssh
2. Download the project
3. Execute

### Downloading the project

```Powershell
$default_modules_dir = "$HOME\Documents\WindowsPowershell\Modules"

# If that folder doesn't exist, create it
if (!(Test-Path $default_modules_dir)) { mkdir $default_modules_dir -Force }

# Clone the server files
git clone ssh://git@owl.acosi.com:9124/family/backup_to_server.git
```

### Execute

```Powershell
import-module backup_to_server
backup_to_server [-skipappdir] [-noupload] [-skipoutlook]
```
